| Version: 3.1.5

Classes | Enumerations
filehistory.h File Reference

## Classes
class | wxFileHistory
| The wxFileHistory encapsulates a user interface convenience, the list of most recently visited files as shown on a menu (usually the File menu). More...

## Enumerations
enum | wxFileHistoryMenuPathStyle { wxFH_PATH_SHOW_IF_DIFFERENT , wxFH_PATH_SHOW_NEVER , wxFH_PATH_SHOW_ALWAYS }
| Styles for the paths shown in wxFileHistory menus. More...

## Enumeration Type Documentation

## ◆ wxFileHistoryMenuPathStyle

enum wxFileHistoryMenuPathStyle

Styles for the paths shown in wxFileHistory menus.

The values of this enum determine whether the labels in the menu managed by wxFileHistory show the full path for the corresponding file or just the base name.

The default style is wxFH_PATH_SHOW_IF_DIFFERENT, i.e. the full path of the file is only shown in the menu if it's different from the path of the first file.

Since
  3.1.5

Enumerator
wxFH_PATH_SHOW_IF_DIFFERENT | Show the full path if it's different from the path of the first file. Otherwise show just the file name. This value corresponds to the default behaviour.
wxFH_PATH_SHOW_NEVER | Never show full path, always show just the base file name.
wxFH_PATH_SHOW_ALWAYS | Always show the full path for all files.